## org.eclipse.m2m.atl.adt.ui.outline
Class AtlContentOutlinePage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.m2m.atl.adt.ui.outline.AtlOutlinePage
              org.eclipse.m2m.atl.adt.ui.outline.AtlContentOutlinePage

All Implemented Interfaces:
  org.eclipse.jface.viewers.IPostSelectionProvider, org.eclipse.jface.viewers.ISelectionProvider, org.eclipse.ui.part.IPage, org.eclipse.ui.part.IPageBookViewPage, org.eclipse.ui.views.contentoutline.IContentOutlinePage

    public class AtlContentOutlinePage

extends AtlOutlinePage

Field Summary
`static java.lang.String` `ATL_OUTLINE_VIEW_CONTEXT_MENU_ID` The outline view context menu id.

Fields inherited from class org.eclipse.m2m.atl.adt.ui.outline.AtlOutlinePage
`selectionChangedListeners, treeViewer`

Constructor Summary
`AtlContentOutlinePage(org.eclipse.ui.texteditor.ITextEditor textEditor, org.eclipse.ui.IEditorInput editorInput, org.eclipse.ui.texteditor.IDocumentProvider documentProvider)`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite arg0)`
`void` `createFiltersAndSorters()` Creates the filters and sorters.
`void` `setSelection(java.lang.String currentCursorPosition)` Sets the selection to the given cursorPosition.
`void` `setUnit()` Sets the Unit of the input of the tree Viewer.
`protected void` `updateFilters(org.eclipse.jface.action.Action actionParam)` Updates the filters of the tree viewer Multiple filters can be enabled at a time.
`protected void` `updateSorter(org.eclipse.jface.action.Action actionParam)` Updates the sorter of the tree viewer One sorter can be enabled at a time.

Methods inherited from class org.eclipse.m2m.atl.adt.ui.outline.AtlOutlinePage
`addPostSelectionChangedListener, addSelectionChangedListener, getControl, getSelection, removePostSelectionChangedListener, removeSelectionChangedListener, setFocus, setSelection`

Methods inherited from class org.eclipse.ui.part.Page
`dispose, getSite, init, makeContributions, setActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.part.IPage
`dispose, setActionBars`

Field Detail

### ATL_OUTLINE_VIEW_CONTEXT_MENU_ID

    public static final java.lang.String ATL_OUTLINE_VIEW_CONTEXT_MENU_ID

  The outline view context menu id. May be used for extensions by other plugins

  See Also:
    Constant Field Values

Constructor Detail

### AtlContentOutlinePage

    public AtlContentOutlinePage(org.eclipse.ui.texteditor.ITextEditor textEditor,
                                 org.eclipse.ui.IEditorInput editorInput,
                                 org.eclipse.ui.texteditor.IDocumentProvider documentProvider)

Parameters:
  `textEditor` -
  `editorInput` -
  `documentProvider` -

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite arg0)

  Specified by:
    `createControl` in interface `org.eclipse.ui.part.IPage`
  Overrides:
    `createControl` in class `AtlOutlinePage`
  See Also:
    `AtlOutlinePage.createControl(org.eclipse.swt.widgets.Composite)`

### createFiltersAndSorters

    public void createFiltersAndSorters()

  Creates the filters and sorters.

### setUnit

    public void setUnit()

  Sets the Unit of the input of the tree Viewer.

### setSelection

    public void setSelection(java.lang.String currentCursorPosition)

  Sets the selection to the given cursorPosition.

  Parameters:
    `currentCursorPosition` - the cursor position

### updateFilters

    protected void updateFilters(org.eclipse.jface.action.Action actionParam)

  Updates the filters of the tree viewer Multiple filters can be enabled at a time.

  Parameters:
    `actionParam` - the action

### updateSorter

    protected void updateSorter(org.eclipse.jface.action.Action actionParam)

  Updates the sorter of the tree viewer One sorter can be enabled at a time.

  Parameters:
    `actionParam` - the action

Copyright 2007 IBM Corporation and others. All Rights Reserved.